<html>
<head>
<title>Ogre::AnyNumeric Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::AnyNumeric Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::AnyNumeric" --><!-- doxytag: inherits="Ogre::Any" -->
<p>Specialised <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> class which has built in arithmetic operators, but can hold only types which support operator +,-,* and / .  
 <a href="classOgre_1_1AnyNumeric.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::AnyNumeric:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1AnyNumeric__inherit__graph.gif" border="0" usemap="#Ogre_1_1AnyNumeric_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1AnyNumeric_inherit__map" id="Ogre_1_1AnyNumeric_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type." alt="" coords="31,5,111,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1AnyNumeric-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numholder.html">numholder</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric_1_1numplaceholder.html">numplaceholder</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#ae46b3b0ebe2e956031cfa3f771087708">AnyNumeric</a> ()</td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename ValueType &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#a56d143332e5388489b3a3c3a11c45e30">AnyNumeric</a> (const ValueType &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#a9ae2045cc85e7a8e134d54e0babc2a3f">AnyNumeric</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;other)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#ae50aea5f19e2fd3957eebbd688c0a533">operator=</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#a00fd7a417079429e2fd6b3622b51749f">operator+</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#a298def7d35b38a3751d396a26cbe0137">operator-</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#a3864d8575707ac369778e7f592fd2bb2">operator*</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#ae1a6f8428fae01d673986391b275cd3c">operator*</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> factor) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#a42655948f62f8795f0e1133c38aa4d8e">operator/</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#aa4087f5136e423b245fd620527e2966f">operator+=</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#a826b7eaea253ac06098fec4002c5c768">operator-=</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#abb6d30f1c397630e4e322e6dcc04bffc">operator*=</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#a45c2fcf50e3b46055c7cf4f31dbd49f5">operator/=</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#a8e18c614d89437e11df1b8defe85ea2e">swap</a> (<a class="el" href="classOgre_1_1Any.html">Any</a> &amp;rhs)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#af6206a0377aaf42fbb1224a5fbaf6246">isEmpty</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const std::type_info &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#acbff05f938b211cb667dddcb46102722">getType</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#a3c414d8a6803eb4b319d39c2628b435b">destroy</a> ()</td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename ValueType &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">ValueType&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#ab9095a3fc640b7276ca9dd6f79f03d1f">operator()</a> () const </td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnyNumeric.html#a58c2548951abc9a76f4b4a36a1696d73">AnyNumeric</a> (<a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *pholder)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct from holder.  <a href="#a58c2548951abc9a76f4b4a36a1696d73"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#a9a6bedddda6079058335bb8e78497445">mContent</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#adeded586bbc395a3e2d075d63c19f0f6">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;v)</td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename ValueType &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">ValueType *&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#ad52fddf4aadae22e9471b6d76cf9749f">any_cast</a> (<a class="el" href="classOgre_1_1Any.html">Any</a> *)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Specialised <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> class which has built in arithmetic operators, but can hold only types which support operator +,-,* and / . </p>

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00225">225</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae46b3b0ebe2e956031cfa3f771087708"></a><!-- doxytag: member="Ogre::AnyNumeric::AnyNumeric" ref="ae46b3b0ebe2e956031cfa3f771087708" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html#ae46b3b0ebe2e956031cfa3f771087708">Ogre::AnyNumeric::AnyNumeric</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00228">228</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00336">operator*()</a>, <a class="el" href="OgreAny_8h_source.html#l00363">operator*=()</a>, <a class="el" href="OgreAny_8h_source.html#l00326">operator+()</a>, <a class="el" href="OgreAny_8h_source.html#l00351">operator+=()</a>, <a class="el" href="OgreAny_8h_source.html#l00331">operator-()</a>, <a class="el" href="OgreAny_8h_source.html#l00357">operator-=()</a>, <a class="el" href="OgreAny_8h_source.html#l00346">operator/()</a>, <a class="el" href="OgreAny_8h_source.html#l00369">operator/=()</a>, and <a class="el" href="OgreAny_8h_source.html#l00321">operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="a56d143332e5388489b3a3c3a11c45e30"></a><!-- doxytag: member="Ogre::AnyNumeric::AnyNumeric" ref="a56d143332e5388489b3a3c3a11c45e30" args="(const ValueType &amp;value)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html#ae46b3b0ebe2e956031cfa3f771087708">Ogre::AnyNumeric::AnyNumeric</a> </td>
          <td>(</td>
          <td class="paramtype">const ValueType &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00234">234</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00161">Ogre::MEMCATEGORY_GENERAL</a>, and <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00431">OGRE_NEW_T</a>.</p>

</div>
</div>
<a class="anchor" id="a9ae2045cc85e7a8e134d54e0babc2a3f"></a><!-- doxytag: member="Ogre::AnyNumeric::AnyNumeric" ref="a9ae2045cc85e7a8e134d54e0babc2a3f" args="(const AnyNumeric &amp;other)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html#ae46b3b0ebe2e956031cfa3f771087708">Ogre::AnyNumeric::AnyNumeric</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00240">240</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Any_1_1placeholder.html#ad445f6f56c8869809d9619707fbbe671">Ogre::Any::placeholder::clone()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<a class="anchor" id="a58c2548951abc9a76f4b4a36a1696d73"></a><!-- doxytag: member="Ogre::AnyNumeric::AnyNumeric" ref="a58c2548951abc9a76f4b4a36a1696d73" args="(placeholder *pholder)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html#ae46b3b0ebe2e956031cfa3f771087708">Ogre::AnyNumeric::AnyNumeric</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&#160;</td>
          <td class="paramname"><em>pholder</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Construct from holder. </p>

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00315">315</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a3c414d8a6803eb4b319d39c2628b435b"></a><!-- doxytag: member="Ogre::AnyNumeric::destroy" ref="a3c414d8a6803eb4b319d39c2628b435b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Any.html#a3c414d8a6803eb4b319d39c2628b435b">Ogre::Any::destroy</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00122">122</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>, <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00161">Ogre::MEMCATEGORY_GENERAL</a>, and <a class="el" href="OgreMemoryAllocatorConfig_8h_source.html#l00435">OGRE_DELETE_T</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00076">Ogre::Any::~Any()</a>.</p>

</div>
</div>
<a class="anchor" id="acbff05f938b211cb667dddcb46102722"></a><!-- doxytag: member="Ogre::AnyNumeric::getType" ref="acbff05f938b211cb667dddcb46102722" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::type_info&amp; <a class="el" href="classOgre_1_1Any.html#acbff05f938b211cb667dddcb46102722">Ogre::Any::getType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00109">109</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Any_1_1placeholder.html#adbffede1819fffac5df00b2456d485ba">Ogre::Any::placeholder::getType()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00383">Ogre::any_cast()</a>, and <a class="el" href="OgreAny_8h_source.html#l00194">Ogre::Any::operator()()</a>.</p>

</div>
</div>
<a class="anchor" id="af6206a0377aaf42fbb1224a5fbaf6246"></a><!-- doxytag: member="Ogre::AnyNumeric::isEmpty" ref="af6206a0377aaf42fbb1224a5fbaf6246" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Any.html#af6206a0377aaf42fbb1224a5fbaf6246">Ogre::Any::isEmpty</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00104">104</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<a class="anchor" id="ab9095a3fc640b7276ca9dd6f79f03d1f"></a><!-- doxytag: member="Ogre::AnyNumeric::operator()" ref="ab9095a3fc640b7276ca9dd6f79f03d1f" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">ValueType Ogre::Any::operator() </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00194">194</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreException_8h_source.html#l00111">Ogre::Exception::ERR_INVALIDPARAMS</a>, <a class="el" href="OgreAny_8h_source.html#l00109">Ogre::Any::getType()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<a class="anchor" id="a3864d8575707ac369778e7f592fd2bb2"></a><!-- doxytag: member="Ogre::AnyNumeric::operator*" ref="a3864d8575707ac369778e7f592fd2bb2" args="(const AnyNumeric &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> Ogre::AnyNumeric::operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00336">336</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00228">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<a class="anchor" id="ae1a6f8428fae01d673986391b275cd3c"></a><!-- doxytag: member="Ogre::AnyNumeric::operator*" ref="ae1a6f8428fae01d673986391b275cd3c" args="(Real factor) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> Ogre::AnyNumeric::operator* </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>factor</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00341">341</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00228">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<a class="anchor" id="abb6d30f1c397630e4e322e6dcc04bffc"></a><!-- doxytag: member="Ogre::AnyNumeric::operator*=" ref="abb6d30f1c397630e4e322e6dcc04bffc" args="(const AnyNumeric &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&amp; Ogre::AnyNumeric::operator*= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00363">363</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00228">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<a class="anchor" id="a00fd7a417079429e2fd6b3622b51749f"></a><!-- doxytag: member="Ogre::AnyNumeric::operator+" ref="a00fd7a417079429e2fd6b3622b51749f" args="(const AnyNumeric &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> Ogre::AnyNumeric::operator+ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00326">326</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00228">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<a class="anchor" id="aa4087f5136e423b245fd620527e2966f"></a><!-- doxytag: member="Ogre::AnyNumeric::operator+=" ref="aa4087f5136e423b245fd620527e2966f" args="(const AnyNumeric &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&amp; Ogre::AnyNumeric::operator+= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00351">351</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00228">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<a class="anchor" id="a298def7d35b38a3751d396a26cbe0137"></a><!-- doxytag: member="Ogre::AnyNumeric::operator&#45;" ref="a298def7d35b38a3751d396a26cbe0137" args="(const AnyNumeric &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> Ogre::AnyNumeric::operator- </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00331">331</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00228">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<a class="anchor" id="a826b7eaea253ac06098fec4002c5c768"></a><!-- doxytag: member="Ogre::AnyNumeric::operator&#45;=" ref="a826b7eaea253ac06098fec4002c5c768" args="(const AnyNumeric &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&amp; Ogre::AnyNumeric::operator-= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00357">357</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00228">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<a class="anchor" id="a42655948f62f8795f0e1133c38aa4d8e"></a><!-- doxytag: member="Ogre::AnyNumeric::operator/" ref="a42655948f62f8795f0e1133c38aa4d8e" args="(const AnyNumeric &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> Ogre::AnyNumeric::operator/ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00346">346</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00228">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<a class="anchor" id="a45c2fcf50e3b46055c7cf4f31dbd49f5"></a><!-- doxytag: member="Ogre::AnyNumeric::operator/=" ref="a45c2fcf50e3b46055c7cf4f31dbd49f5" args="(const AnyNumeric &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&amp; Ogre::AnyNumeric::operator/= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00369">369</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00228">AnyNumeric()</a>, and <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<a class="anchor" id="ae50aea5f19e2fd3957eebbd688c0a533"></a><!-- doxytag: member="Ogre::AnyNumeric::operator=" ref="ae50aea5f19e2fd3957eebbd688c0a533" args="(const AnyNumeric &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&amp; Ogre::AnyNumeric::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00321">321</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00228">AnyNumeric()</a>.</p>

</div>
</div>
<a class="anchor" id="a8e18c614d89437e11df1b8defe85ea2e"></a><!-- doxytag: member="Ogre::AnyNumeric::swap" ref="a8e18c614d89437e11df1b8defe85ea2e" args="(Any &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html">Any</a>&amp; <a class="el" href="classOgre_1_1Any.html#a8e18c614d89437e11df1b8defe85ea2e">Ogre::Any::swap</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00083">83</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h_source.html#l00185">Ogre::Any::mContent</a>.</p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="ad52fddf4aadae22e9471b6d76cf9749f"></a><!-- doxytag: member="Ogre::AnyNumeric::any_cast" ref="ad52fddf4aadae22e9471b6d76cf9749f" args="(Any *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">ValueType* <a class="el" href="classOgre_1_1Any.html#ad52fddf4aadae22e9471b6d76cf9749f">any_cast</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any.html">Any</a> *&#160;</td>
          <td class="paramname"><em>operand</em></td><td>)</td>
          <td><code> [friend, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00383">383</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

</div>
</div>
<a class="anchor" id="adeded586bbc395a3e2d075d63c19f0f6"></a><!-- doxytag: member="Ogre::AnyNumeric::operator&lt;&lt;" ref="adeded586bbc395a3e2d075d63c19f0f6" args="(std::ostream &amp;o, const Any &amp;v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&#160;</td>
          <td class="paramname"><em>v</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00115">115</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a9a6bedddda6079058335bb8e78497445"></a><!-- doxytag: member="Ogre::AnyNumeric::mContent" ref="a9a6bedddda6079058335bb8e78497445" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1Any.html#a9a6bedddda6079058335bb8e78497445">Ogre::Any::mContent</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAny_8h_source.html#l00185">185</a> of file <a class="el" href="OgreAny_8h_source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h_source.html#l00383">Ogre::any_cast()</a>, <a class="el" href="OgreAny_8h_source.html#l00234">AnyNumeric()</a>, <a class="el" href="OgreAny_8h_source.html#l00122">Ogre::Any::destroy()</a>, <a class="el" href="OgreAny_8h_source.html#l00109">Ogre::Any::getType()</a>, <a class="el" href="OgreAny_8h_source.html#l00104">Ogre::Any::isEmpty()</a>, <a class="el" href="OgreAny_8h_source.html#l00194">Ogre::Any::operator()()</a>, <a class="el" href="OgreAny_8h_source.html#l00336">operator*()</a>, <a class="el" href="OgreAny_8h_source.html#l00363">operator*=()</a>, <a class="el" href="OgreAny_8h_source.html#l00326">operator+()</a>, <a class="el" href="OgreAny_8h_source.html#l00351">operator+=()</a>, <a class="el" href="OgreAny_8h_source.html#l00331">operator-()</a>, <a class="el" href="OgreAny_8h_source.html#l00357">operator-=()</a>, <a class="el" href="OgreAny_8h_source.html#l00346">operator/()</a>, <a class="el" href="OgreAny_8h_source.html#l00369">operator/=()</a>, and <a class="el" href="OgreAny_8h_source.html#l00083">Ogre::Any::swap()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAny_8h_source.html">OgreAny.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
